Loading...
Searching...
No Matches
BALL::VersionInfo Class Reference
Foundation Classes » Common Definitions

`#include <BALL/COMMON/version.h>`

## Public Types

enum | Type { STABLE , ALPHA , BETA , NONPUBLIC , PRERELEASE , PATCHLVL , UNKNOWN }

## Static Public Member Functions

static const char * | getVersion ()
static int | getMajorRevision ()
static int | getMinorRevision ()
static Type | getType ()

## Static Protected Attributes

static const char * | RELEASE_DATE_AND_TIME
static const char * | RELEASE_WHAT_STRING

## Detailed Description

Version information class. The BALL release, release data and related version can be retrieved by these methods.

  Stable releases are designated with numbers only.

  Alpha, beta, nonpublic, or prereleases are suffixed as "alpha", "beta", "nonpublic", and "pre", respectively.

  The VersionInfo class contains only static methods that can be used to retrieve the desired information.

  The release string (BALL_RELEASE_STRING) is defined in include/BALL/CONFIG/config.h

Definition at line 32 of file version.h.

## Member Enumeration Documentation

## Type

enum BALL::VersionInfo::Type

Enumeration of all possible release types.

Enumerator
STABLE |
ALPHA |
BETA |
NONPUBLIC |
PRERELEASE |
PATCHLVL |
UNKNOWN |

Definition at line 38 of file version.h.

## Member Function Documentation

## getMajorRevision()

int BALL::VersionInfo::getMajorRevision | ( |  | ) |

static

Return the major revision number. (The part of the release number before the point)

Exceptions

  Exception::InvalidFormat |

## getMinorRevision()

int BALL::VersionInfo::getMinorRevision | ( |  | ) |

static

Return the minor revision number. (The part of the release number after the point)

Exceptions

  Exception::InvalidFormat |

## getType()

Type BALL::VersionInfo::getType | ( |  | ) |

static

Return the type of release: ALPHA, BETA, NONPUPLIC, STABLE, PRERELEASE, PATCHLVL, UNKNOWN.

## getVersion()

const char * BALL::VersionInfo::getVersion | ( |  | ) |

static

Return the version number, which is defined in BALL_RELEASE_STRING

## Member Data Documentation

## RELEASE_DATE_AND_TIME

const char* BALL::VersionInfo::RELEASE_DATE_AND_TIME

static protected

Definition at line 72 of file version.h.

## RELEASE_WHAT_STRING

const char* BALL::VersionInfo::RELEASE_WHAT_STRING

static protected

Definition at line 73 of file version.h.